aagc.vo

## Class RettificaDCRRequest

- java.lang.Object
- - aagc.vo.RettificaDCRRequest

-     public class RettificaDCRRequest
      extends java.lang.Object

  Dati relativi alle rettifiche della Distinta Contabile Riepilogativa.
  Ciascuna rettifica è composta dai seguenti dati:

  - impLordoTotale: Importo lordo totale. Obbligatorio.
  - tipoImporto: Tipo di importo (0-ACCREDITO, 1-ADDEBITO). Obbligatorio.
  - annoRettificaAccertata: Anno della rettifica accertata. Obbligatorio.
  - meseRettificaAccertata: Mese della rettifica accertata. Obbligatorio.
  - origineDifferenzaAccertata: Origine della differenza contabile (0-CONTABILIZZAZIONE, 1-ANNULLAMENTO PRESCRIZIONE, 2-CONGUAGLIO SCONTO, 3-REMUNERAZIONE AGGIUNTIVA D.M. 11/08/2021). Obbligatorio.
  - remAggiuntiva: Tipo di remunerazione aggiuntiva (0-NO, 1-SI)
  - note: Note esplicative delle rettifiche inserite

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="rettificaDCRRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="impLordoTotale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([0-9]{1,6}(,[0-9]{1,2})?)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="tipoImporto" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="0"/>
                     <enumeration value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="annoRettificaAccertata" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="4"/>
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="meseRettificaAccertata" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="2"/>
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="origineDifferenzaAccertata" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="0"/>
                     <enumeration value="1"/>
                     <enumeration value="2"/>
                     <enumeration value="3"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="note" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="remAggiuntiva" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="0"/>
                     <enumeration value="1"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `annoRettificaAccertata`
    `protected java.lang.String` | `impLordoTotale`
    `protected java.lang.String` | `meseRettificaAccertata`
    `protected java.lang.String` | `note`
    `protected java.lang.String` | `origineDifferenzaAccertata`
    `protected java.lang.String` | `remAggiuntiva`
    `protected java.lang.String` | `tipoImporto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RettificaDCRRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnoRettificaAccertata()` Recupera il valore della proprietà annoRettificaAccertata.
    `java.lang.String` | `getImpLordoTotale()` Recupera il valore della proprietà impLordoTotale.
    `java.lang.String` | `getMeseRettificaAccertata()` Recupera il valore della proprietà meseRettificaAccertata.
    `java.lang.String` | `getNote()` Recupera il valore della proprietà note.
    `java.lang.String` | `getOrigineDifferenzaAccertata()` Recupera il valore della proprietà origineDifferenzaAccertata.
    `java.lang.String` | `getRemAggiuntiva()` Recupera il valore della proprietà remAggiuntiva.
    `java.lang.String` | `getTipoImporto()` Recupera il valore della proprietà tipoImporto.
    `void` | `setAnnoRettificaAccertata(java.lang.String value)` Imposta il valore della proprietà annoRettificaAccertata.
    `void` | `setImpLordoTotale(java.lang.String value)` Imposta il valore della proprietà impLordoTotale.
    `void` | `setMeseRettificaAccertata(java.lang.String value)` Imposta il valore della proprietà meseRettificaAccertata.
    `void` | `setNote(java.lang.String value)` Imposta il valore della proprietà note.
    `void` | `setOrigineDifferenzaAccertata(java.lang.String value)` Imposta il valore della proprietà origineDifferenzaAccertata.
    `void` | `setRemAggiuntiva(java.lang.String value)` Imposta il valore della proprietà remAggiuntiva.
    `void` | `setTipoImporto(java.lang.String value)` Imposta il valore della proprietà tipoImporto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### impLordoTotale

          protected java.lang.String impLordoTotale

    - #### tipoImporto

          protected java.lang.String tipoImporto

    - #### annoRettificaAccertata

          protected java.lang.String annoRettificaAccertata

    - #### meseRettificaAccertata

          protected java.lang.String meseRettificaAccertata

    - #### origineDifferenzaAccertata

          protected java.lang.String origineDifferenzaAccertata

    - #### note

          protected java.lang.String note

    - #### remAggiuntiva

          protected java.lang.String remAggiuntiva

  - ### Constructor Detail

    - #### RettificaDCRRequest

          public RettificaDCRRequest()

  - ### Method Detail

    - #### getImpLordoTotale

          public java.lang.String getImpLordoTotale()

      Recupera il valore della proprietà impLordoTotale.
      Returns:
        possible object is `String`

    - #### setImpLordoTotale

          public void setImpLordoTotale(java.lang.String value)

      Imposta il valore della proprietà impLordoTotale.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoImporto

          public java.lang.String getTipoImporto()

      Recupera il valore della proprietà tipoImporto.
      Returns:
        possible object is `String`

    - #### setTipoImporto

          public void setTipoImporto(java.lang.String value)

      Imposta il valore della proprietà tipoImporto.
      Parameters:
        `value` - allowed object is `String`

    - #### getAnnoRettificaAccertata

          public java.lang.String getAnnoRettificaAccertata()

      Recupera il valore della proprietà annoRettificaAccertata.
      Returns:
        possible object is `String`

    - #### setAnnoRettificaAccertata

          public void setAnnoRettificaAccertata(java.lang.String value)

      Imposta il valore della proprietà annoRettificaAccertata.
      Parameters:
        `value` - allowed object is `String`

    - #### getMeseRettificaAccertata

          public java.lang.String getMeseRettificaAccertata()

      Recupera il valore della proprietà meseRettificaAccertata.
      Returns:
        possible object is `String`

    - #### setMeseRettificaAccertata

          public void setMeseRettificaAccertata(java.lang.String value)

      Imposta il valore della proprietà meseRettificaAccertata.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrigineDifferenzaAccertata

          public java.lang.String getOrigineDifferenzaAccertata()

      Recupera il valore della proprietà origineDifferenzaAccertata.
      Returns:
        possible object is `String`

    - #### setOrigineDifferenzaAccertata

          public void setOrigineDifferenzaAccertata(java.lang.String value)

      Imposta il valore della proprietà origineDifferenzaAccertata.
      Parameters:
        `value` - allowed object is `String`

    - #### getNote

          public java.lang.String getNote()

      Recupera il valore della proprietà note.
      Returns:
        possible object is `String`

    - #### setNote

          public void setNote(java.lang.String value)

      Imposta il valore della proprietà note.
      Parameters:
        `value` - allowed object is `String`

    - #### getRemAggiuntiva

          public java.lang.String getRemAggiuntiva()

      Recupera il valore della proprietà remAggiuntiva.
      Returns:
        possible object is `String`

    - #### setRemAggiuntiva

          public void setRemAggiuntiva(java.lang.String value)

      Imposta il valore della proprietà remAggiuntiva.
      Parameters:
        `value` - allowed object is `String`